This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 112224 - CAN-2003-1012/3 Ethereal security issues
CAN-2003-1012/3 Ethereal security issues
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ethereal (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
http://www.ethereal.com/appnotes/enpa...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-16 08:08 EST by Mark J. Cox (Product Security)
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-20 11:41:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-12-16 08:08:16 EST
Issues have been discovered in the following protocol dissectors:

    * Selecting "Match->Selected" or "Prepare->Selected" for a
malformed SMB packet could cause a segmentation fault.
    * It is possible for the Q.931 dissector to dereference a null
pointer when reading a malformed packet. 

Disclosed Dec12. Ethereal 0.10.0 released with fixes.

        Affects: 2.1AS 2.1AW 2.1ES 2.1WS
        Affects: 3AW 3ES 3WS
Comment 1 Mark J. Cox (Product Security) 2004-01-20 11:41:55 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-002.html

Note You need to log in before you can comment on or make changes to this bug.